import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_4a070dbfa61328b644f6724be00f2897c80f986c {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAABdwQAAAABdABhenR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHlAMi50dHR0dHR0dHR0dHR0dHR0dHR0dHR0dHg=");

    public static void main(String[] args) throws Throwable {
        Crash_4a070dbfa61328b644f6724be00f2897c80f986c.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        EmailMatcherFuzzTest.fuzzerTestOneInput(input);
    }
}